Description

To debug issues with Pulp 3, it is important to set the log level to DEBUG.

This can be achieved by putting

"LOGGING = {"dynaconf_merge": True, "loggers": {'': {'handlers': ['console'], 'level': 'DEBUG'}}}" in "/etc/pulp/settings.py".

It would be much easier if that line was already there with the default log-level.

Associated revisions

Revision b51aee53 - 07/12/2021 06:10 PM - Eric Helms

Fixes #32968: Add ability to modify log level

History

#1 - 07/08/2021 08:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/212 added

#2 - 07/09/2021 07:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/hammer-cli-foreman-admin/pull/12 added

#3 - 07/09/2021 09:00 AM - Ewoud Kohl van Wijngaarden

- Subject changed from b'It is not easy to increase the log level of the Pulp 3 backend'

 to It is not easy to increase the log level of the Pulp 3 backend

- Description updated

- Category set to Foreman modules

- Triaged changed from No to Yes

#4 - 07/09/2021 09:00 AM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Feature

#5 - 07/12/2021 03:56 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/215 added

#6 - 07/12/2021 07:08 PM - Eric Helms

- Status changed from Ready For Testing to Closed
Applied in changeset puppet-pulpcore|b51aee53fc9d6081c5edde451b2ed04d90059d9d.

#7 - 08/06/2021 04:39 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.5.2

- Fixed in Releases 2.5.2 added

The installer side was cherry picked to 2.5.2, I'm not sure if the hammer side was. However, this is the installer changelog so I'm setting that as the

Fixed in version.
